/*******************************************************************************
File:		Serial.h

 			External definitions, data, and function prototypes

Version:	1.00
*******************************************************************************/

// Global definitions
#define	TX_BUF_SIZE0		(64)			// Used to create tx buffer 0
#define	RX_BUF_SIZE0		(48)			// Used to create rx buffer 0
#define	TX_BUF_SIZE1		(100)			// Used to create tx buffer 1
#define	RX_BUF_SIZE1		(2)			// Used to create rx buffer 1

#define	SOFTUART								// Define SOFTUART to enable soft UART

// External function prototypes
extern void	SerInit(void);
extern void	SerSendByte(unsigned char chr, char port);
extern void SerSendString(unsigned char *address, char chars, char port);
extern void SerSendFLASHString(const char *addr, char chars, char port);
extern void SerSendEEPROMString(unsigned short addr, char chars, char port);
extern void SerProcesses (void);

#ifdef SOFTUART
	extern void	SerSoftUART_TX(void);
	extern void	SerSoftUART_RX(void);
#endif
